# std::bernoulli_distribution Class Reference
[Bernoulli]

A Bernoulli random number distribution. More...

List of all members.

## Classes

- struct param_type

## Public Types

- typedef bool result_type

## Public Member Functions

- bernoulli_distribution (double __p=0.5)
- bernoulli_distribution (const param_type &__p)
- result_type max () const
- result_type min () const
- template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
- template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
- double p () const
- void param (const param_type &__param)
- param_type param () const
- void reset ()

## Detailed Description

A Bernoulli random number distribution.

Generates a sequence of true and false values with likelihood that true will come up and that false will appear.

Definition at line 3240 of file random.h.

## Member Typedef Documentation

typedef bool std::bernoulli_distribution::result_type

The type of the range of the distribution.

Definition at line 3244 of file random.h.

## Constructor & Destructor Documentation

std::bernoulli_distribution::bernoulli_distribution | ( | double | __p = `0.5` | ) | `[inline, explicit]`

Constructs a Bernoulli distribution with likelihood `p`.

Parameters:

  | __p | [IN] The likelihood of a true result being returned. Must be in the interval .

Definition at line 3277 of file random.h.

## Member Function Documentation

result_type std::bernoulli_distribution::max | ( |  | ) | const`[inline]`

Returns the least upper bound value of the distribution.

Definition at line 3327 of file random.h.

result_type std::bernoulli_distribution::min | ( |  | ) | const`[inline]`

Returns the greatest lower bound value of the distribution.

Definition at line 3320 of file random.h.

template<typename _UniformRandomNumberGenerator >

result_type std::bernoulli_distribution::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) | `[inline]`

Generating functions.

Definition at line 3335 of file random.h.

References operator()(), and param().

Referenced by operator()().

double std::bernoulli_distribution::p | ( |  | ) | const`[inline]`

Returns the `p` parameter of the distribution.

Definition at line 3298 of file random.h.

void std::bernoulli_distribution::param | ( | const param_type & | __param | ) | `[inline]`

Sets the parameter set of the distribution.

Parameters:

  | __param | The new parameter set of the distribution.

Definition at line 3313 of file random.h.

param_type std::bernoulli_distribution::param | ( |  | ) | const`[inline]`

Returns the parameter set of the distribution.

Definition at line 3305 of file random.h.

Referenced by operator()(), std::operator==(), and std::operator>>().

void std::bernoulli_distribution::reset | ( |  | ) | `[inline]`

Resets the distribution state.

Does nothing for a Bernoulli distribution.

Definition at line 3292 of file random.h.

The documentation for this class was generated from the following file:

- random.h